<?php $this->renderPartial('_cabecalho', array('model' => $model)); ?>
<h1 class="h1-block">Editar dados cadastrais:</h1>

<div class="form">
    <?php $form = $this->beginWidget('GxActiveForm', array('id' => 'solicitacoes-form','enableAjaxValidation' => false,'focus' => array($model, 'SOL_SITUACAO'),'htmlOptions' => array('class'=>'col-xs-12 form-cadastro','enctype' => 'multipart/form-data'))); ?>
    <fieldset class="no-border border-box col-xs-12 col-sm-12 col-md-12">
        <div class="clear"></div>
        <input id="Solicitacoes_SOL_IDMOTIVO" value="<?php echo $model->getMotivoCorreto(); ?>" type="hidden"/>
        <textarea name='Solicitacoes[descricao]' id='Solicitacoes_descricao' class="sr-only"></textarea>
        <input id="SalvarMovimentar" name="Solicitacoes[SalvarMovimentar]" value="0" type="hidden"/>
        <div class="form-group col-xs-12 col-sm-6 col-md-4">
            <?php
                $partial = '_corrigir_textos_incorretos';

                if ($model->isLinkReprovado()) {
                    $partial = '_corrigir_link_incorreto';
                }

                $CamposDoMotivo = $model->getCamposDoMotivoIncorreto();

                $this->renderPartial($partial, array(
                    'model' => $model,
                    'solicitacaoOriginal' => $solicitacaoOriginal,
                    'projetos' => $projetos,
                    'motivos' => $motivos,
                    'camposAprovados' => $camposAprovados,
                    'camposReprovados' => $camposReprovados,
                    'CamposDoMotivo' => $CamposDoMotivo,
                    'form' => $form
                ));

                echo FaHtml::saveButton("Atualizar cadastro", array('id' => 'submit_button', 'value' => 'save'));
                echo FaHtml::cancelButton("Fechar pendência", array('id' => 'cancel_button', 'value' => 'close'));
                $this->endWidget();
            ?>
        </div>
        <div class="form-group col-xs-12 col-sm-6 col-md-8">
            <div class="block-info-pendencia descricao">
                <div class="text">
                    <p class="link-base"><b>Link da base:</b> <?php echo $model->SOL_LINK; ?></p>
                       <?php if ($model->SOL_LAYOUTNOVO) {
                            if ($model->SOL_APROVADA_PRE_ANALISE == Solicitacoes::APROV_MOTIVOINCORRETO) {
                                foreach($CamposDoMotivo as $campo) {
                                    echo "<h2>{$model->getAttributeLabel($campo)}</h2>";
                                    echo "<p>".Util::niceTextPendencias($model->{$campo})."</p>";
                                }
                            } else {
                                $avaliacao = $model->getUltimaAtividadeAvaliacaoCriterios(5, 14);
                                $campos = $avaliacao->CamposReprovadosPreAnalise;
                                foreach ($campos as $campo) {
                                    $relations = $model->relations();
                                    if (in_array($campo->CRS_CAMPO, array_keys($relations))) {
                                        $modelValorInformado = $relations[$campo->CRS_CAMPO][1];
                                        $valorInformado = $modelValorInformado::model()->findByPk($campo->CRS_VALOR_INFORMADO);
                                    } else {
                                        $valorInformado = $campo->CRS_VALOR_INFORMADO;
                                    }

                                    echo "<h2>{$model->getAttributeLabel($campo->CRS_CAMPO)}</h2>";
                                    echo "<p>".Util::niceTextPendencias($valorInformado)."</p>";
                                }
                            }

                        } else { ?>

                        <h2>Detalhes da solicitação</h2>
                        <p><?php echo Util::niceTextPendencias($model->SOL_TXTSOLICITACAO); ?></p>

                        <h2>Passos para simulação</h2>
                        <p><?php echo Util::niceTextPendencias($model->SOL_PROCEDIMENTO); ?></p>

                    <?php }?>

                    <?php if(!empty($model->Arquivos)) { ?>
                        <div class="anexos">
                            <h2 class="titulos-pendencias">Anexos</h2>
                            <ul id="links" class="imagens tab-pane fade in active">
                                <?php foreach($model->Arquivos as $arquivo) { ?>
                                    <li><?php echo $arquivo->getLink(); ?></li>
                                <?php }?>
                            </ul>
                        </div>
                    <?php }?>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </fieldset>
</div>

<style type="text/css">
    #submit_button {
        display: inline;
    }
</style>
<script type="text/javascript">
    $(document).ready( function() {
    $("#submit_button").click(function() {
        $(this).attr("disabled","disabled");
        $(this).prop("disabled",true);
        var teste = bootbox.dialog({
            size: "large",
            title: "Confirmar ação",
            message: "Deseja movimentar a pendência para pré-análise?",
            buttons: {
                cancel: {
                    label: "Somente salvar",
                    className: "btn-danger somente-salvar",
                    callback: function() {
                        $("#SalvarMovimentar").val(0);
                        $("#submit_button").parents("form").submit();
                    }
                },
                confirm: {
                    label: "Salvar e movimentar",
                    className: "btn-success salvar-movimentar",
                    callback: function() {
                        $("#SalvarMovimentar").val(1);
                        $("#submit_button").parents("form").submit();
                    }
                },
            },
            onEscape: function(result) {
                $("#submit_button").removeAttr("disabled");
                $("#submit_button").prop("disabled",false);
            },
        });
    });
    $("#cancel_button").click(function() {
        $(this).attr("disabled","disabled");
        $(this).prop("disabled",true);
        var teste = bootbox.dialog({
            size: "large",
            title: "Confirmar ação",
            message: "Deseja fechar a pendência?<br /><br />Justifique o porquê:<textarea name='Solicitacoes[descricao]' id='Solicitacoes_descricao'></textarea><div class='color-red error-descricao'></div>",
            buttons: {
                cancel: {
                    label: "Cancelar",
                    className: "btn-danger",
                    callback: function() {
                        // do nothing
                        $("#cancel_button").removeAttr("disabled");
                        $("#cancel_button").prop("disabled",false);
                    }
                },
                confirm: {
                    label: "Fechar pendência",
                    className: "btn-success fechar-pendencia",
                    callback: function() {
                        var descricao = $(".bootbox-body textarea").val();
                        if (descricao == undefined || descricao.length == 0) {
                            $(".error-descricao").html("Justifique o porquê de fechar a pendência!");
                            return false;
                        } else {

                            $("#Solicitacoes_descricao").val(descricao);
                            $("#SalvarMovimentar").val(2);
                            $("#cancel_button").parents("form").submit();
                        }
                    }
                },
            },
            onEscape: function(result) {
                $("#cancel_button").removeAttr("disabled");
                $("#cancel_button").prop("disabled",false);
            },
        });
    });
});
</script>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerCssFile(FaHtml::getJsUrl('multi-select/css/multi-select.dist.css'));
$cs->registerScriptFile(FaHtml::getJsUrl('multi-select/js/jquery.multi-select.js'), CClientScript::POS_END);
$cs->registerScriptFile(FaHtml::getJsUrl('bootbox.min.js'), CClientScript::POS_END);
$this->renderPartial('_highslide_texts', array('model' => $model));
ModalCamposTexto::createModal('Solicitacoes');
?>